### Enumeration

# Qmi WdsRequestedSettings

since: 1.32

#### Declaration

    flags Qmi.WdsRequestedSettings

#### Description [src]

Flags specifying requested WDS settings.

Available since: 1.32

#### Members

`QMI_WDS_REQUESTED_SETTINGS_NONE`

  No settings.

  - Value: `0`
  - Available since: 1.32
`QMI_WDS_REQUESTED_SETTINGS_PROFILE_ID`

  Profile ID.

  - Value: `1`
  - Available since: 1.32
`QMI_WDS_REQUESTED_SETTINGS_PROFILE_NAME`

  Profile name.

  - Value: `2`
  - Available since: 1.32
`QMI_WDS_REQUESTED_SETTINGS_PDP_TYPE`

  PDP context type.

  - Value: `4`
  - Available since: 1.32
`QMI_WDS_REQUESTED_SETTINGS_APN_NAME`

  APN name.

  - Value: `8`
  - Available since: 1.32
`QMI_WDS_REQUESTED_SETTINGS_DNS_ADDRESS`

  DNS server addresses.

  - Value: `16`
  - Available since: 1.32
`QMI_WDS_REQUESTED_SETTINGS_GRANTED_QOS`

  Granted QoS.

  - Value: `32`
  - Available since: 1.32
`QMI_WDS_REQUESTED_SETTINGS_USERNAME`

  Username.

  - Value: `64`
  - Available since: 1.32
`QMI_WDS_REQUESTED_SETTINGS_AUTH_PROTOCOL`

  Authentication protocol, ie PAP/CHAP/none.

  - Value: `128`
  - Available since: 1.32
`QMI_WDS_REQUESTED_SETTINGS_IP_ADDRESS`

  IP address.

  - Value: `256`
  - Available since: 1.32
`QMI_WDS_REQUESTED_SETTINGS_GATEWAY_INFO`

  Gateway address.

  - Value: `512`
  - Available since: 1.32
`QMI_WDS_REQUESTED_SETTINGS_PCSCF_ADDRESS`

  PCSCF address.

  - Value: `1024`
  - Available since: 1.32
`QMI_WDS_REQUESTED_SETTINGS_PCSCF_SERVER_ADDRESS_LIST`

  PCSCF server address list.

  - Value: `2048`
  - Available since: 1.32
`QMI_WDS_REQUESTED_SETTINGS_PCSCF_DOMAIN_NAME_LIST`

  PCSCF domain name list.

  - Value: `4096`
  - Available since: 1.32
`QMI_WDS_REQUESTED_SETTINGS_MTU`

  MTU.

  - Value: `8192`
  - Available since: 1.32
`QMI_WDS_REQUESTED_SETTINGS_DOMAIN_NAME_LIST`

  Domain name list.

  - Value: `16384`
  - Available since: 1.32
`QMI_WDS_REQUESTED_SETTINGS_IP_FAMILY`

  IP family, ie IPv4 or IPv6.

  - Value: `32768`
  - Available since: 1.32
`QMI_WDS_REQUESTED_SETTINGS_IMCN_FLAG`

  IMCN flag.

  - Value: `65536`
  - Available since: 1.32
`QMI_WDS_REQUESTED_SETTINGS_EXTENDED_TECHNOLOGY`

  Extended technology info.

  - Value: `131072`
  - Available since: 1.32
`QMI_WDS_REQUESTED_SETTINGS_OPERATOR_RESERVED_PCO`

  Operator reserved protocol configuration option.

  - Value: `262144`
  - Available since: 1.32

#### Type functions

###### qmi_wds_requested_settings_build_string_from_mask

Builds a string containing a comma-separated list of nicknames for each `QmiWdsRequestedSettings` in `mask`.

since: 1.32